org.bdgenomics.adam.algorithms.smithwaterman

# SmithWatermanConstantGapScoring

###
Related Doc: package smithwaterman

#### case class SmithWatermanConstantGapScoring(xSequence: String, ySequence: String, wMatch: Double, wMismatch: Double, wInsert: Double, wDelete: Double) extends SmithWatermanGapScoringFromFn with Product with Serializable

Performs a pairwise alignment of two sequences using constant penalties.

xSequence

  The first sequence in the pair.

ySequence

  The second sequence in the pair.

wMatch

  The alignment gap penalty for a residue match.

wMismatch

  The alignment gap penalty for a residue mismatch.

wInsert

  The alignment gap penalty for an insertion in the first sequence.

wDelete

  The alignment gap penalty for a deletion in the first sequence.

See also

  scoreFn

Linear Supertypes
Product, Equals, SmithWatermanGapScoringFromFn, SmithWaterman, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SmithWatermanConstantGapScoring
2. Product
3. Equals
4. SmithWatermanGapScoringFromFn
5. SmithWaterman
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SmithWatermanConstantGapScoring(xSequence: String, ySequence: String, wMatch: Double, wMismatch: Double, wInsert: Double, wDelete: Double)

   xSequence

     The first sequence in the pair.

   ySequence

     The second sequence in the pair.

   wMatch

     The alignment gap penalty for a residue match.

   wMismatch

     The alignment gap penalty for a residue mismatch.

   wInsert

     The alignment gap penalty for an insertion in the first sequence.

   wDelete

     The alignment gap penalty for a deletion in the first sequence.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def buildScoringMatrix(): (Array[Array[Double]], Array[Array[Char]])

   Builds Smith-Waterman score matrix by calling scoring function for all residue pairs.

   Builds Smith-Waterman score matrix by calling scoring function for all residue pairs.

   returns

     2D array of doubles, along with move direction at each point.

   Definition Classes
     SmithWatermanGapScoringFromFn → SmithWaterman

6. #### lazy val cigarX: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

   Definition Classes
     SmithWaterman

7. #### lazy val cigarY: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

   Definition Classes
     SmithWaterman

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def scoreFn(xPos: Int, yPos: Int, xResidue: Char, yResidue: Char): Double

    Scores residues using scoring constants.

    Scores residues using scoring constants.

    * If a deletion is observed (xResidue is a gap), then the deletion penalty is returned. * If an insertion is observed (yResidue is a gap), then the insertion penalty is returned. * Else, the residues are compared, and either the match or mismatch penalty is returned.

    The position indices are ignored, so no affine/open-continue gap model is incorporated.

    xPos

      Residue position from first sequence.

    yPos

      Residue position from second sequence.

    xResidue

      Residue from first sequence.

    yResidue

      Residue from second sequence.

    returns

      Returns the gap score for this residue pair.

    Attributes
      protected
    Definition Classes
      SmithWatermanConstantGapScoring → SmithWatermanGapScoringFromFn

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### val wDelete: Double

    The alignment gap penalty for a deletion in the first sequence.

19. #### val wInsert: Double

    The alignment gap penalty for an insertion in the first sequence.

20. #### val wMatch: Double

    The alignment gap penalty for a residue match.

21. #### val wMismatch: Double

    The alignment gap penalty for a residue mismatch.

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### val xSequence: String

    The first sequence in the pair.

    The first sequence in the pair.

    Definition Classes
      SmithWatermanConstantGapScoring → SmithWaterman

26. #### lazy val xStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

    Definition Classes
      SmithWaterman

27. #### val ySequence: String

    The second sequence in the pair.

    The second sequence in the pair.

    Definition Classes
      SmithWatermanConstantGapScoring → SmithWaterman

28. #### lazy val yStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

    Definition Classes
      SmithWaterman

### Inherited from Product

### Inherited from Equals

### Inherited from SmithWatermanGapScoringFromFn

### Inherited from SmithWaterman

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped